Bug 208963 - repoclosure fails import error
Summary: repoclosure fails import error
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2006-10-02 19:31 UTC by Stephanos Manos
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-01-26 13:28:19 UTC


Attachments (Terms of Use)

Description Stephanos Manos 2006-10-02 19:31:40 UTC
Description of problem:
when running repoclosure fails with the following error

Traceback (most recent call last):
  File "/usr/bin/repoclosure", line 32, in ?
    from repomd.packageSack import ListPackageSack
ImportError: No module named repomd.packageSack

Version-Release number of selected component (if applicable):
yum-utils-0.6-5.fc6

How reproducible:
Always

Steps to Reproduce:
1. run repoclosure --help

Actual results:
the above message

Expected results:
the commands usage

Additional info:
replasing from repomd.packageSack import ListPackageSack
with from yum.packageSack import ListPackageSack

works

Comment 1 Stephanos Manos 2006-11-06 22:10:41 UTC
fixed in version 1.0


Note You need to log in before you can comment on or make changes to this bug.